Package org.aopalliance.intercept

# Interface ConstructorInvocation

All Superinterfaces:
  `Invocation`, `Joinpoint`

public interface ConstructorInvocation extends Invocation
Description of an invocation to a constructor, given to an interceptor upon constructor-call.

A constructor invocation is a joinpoint and can be intercepted by a constructor interceptor.

Author:
  Rod Johnson
See Also:
  - `ConstructorInterceptor`

## Method Summary

Modifier and Type
Method
Description
`Constructor<?>`
`getConstructor()`
Get the constructor being called.

### Methods inherited from interface org.aopalliance.intercept.Invocation

`getArguments`

### Methods inherited from interface org.aopalliance.intercept.Joinpoint

`getStaticPart, getThis, proceed`

## Method Details

### getConstructor

@Nonnull Constructor<?> getConstructor()
Get the constructor being called.

This method is a friendly implementation of the `Joinpoint.getStaticPart()` method (same result).

Returns:
  the constructor being called